# wxPostScriptDC Class Reference
[Device Contexts]

`#include </home/work/projects/wx/2.9/wx/interface/wx/dcps.h>`

Inheritance diagram for wxPostScriptDC:
[legend]

## Detailed Description

This defines the wxWidgets Encapsulated PostScript device context, which can write PostScript files on any platform.

See wxDC for descriptions of the member functions.

##

Library: wxBase
Category: Device Contexts

## Public Member Functions

| wxPostScriptDC (const wxPrintData &printData)
| Constructs a PostScript printer device context from a wxPrintData object.
virtual int | GetResolution () const
| Return resolution used in PostScript output.
virtual wxRect | GetPaperRect () const
| Set resolution (in pixels per inch) that will be used in PostScript output.

List of all members.

## Constructor & Destructor Documentation

wxPostScriptDC::wxPostScriptDC | ( | const wxPrintData & | printData | ) |

Constructs a PostScript printer device context from a wxPrintData object.

## Member Function Documentation

virtual wxRect wxPostScriptDC::GetPaperRect | ( |  | ) | const`[virtual]`

Set resolution (in pixels per inch) that will be used in PostScript output.

Default is 720ppi.

virtual int wxPostScriptDC::GetResolution | ( |  | ) | const`[virtual]`

Return resolution used in PostScript output.

See also:
  SetResolution()

|  | [ top ]